Bug 560114 - sh-4.1# BUG: unable to handle kernel NULL pointer dereference at 0000000000000358
sh-4.1# BUG: unable to handle kernel NULL pointer dereference at 000000000000...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-29 16:39 EST by James Laska
Modified: 2013-09-02 02:43 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2010-01-29 16:39:02 EST
Description of problem:

During an VNC installation on a virt guest, the installer appeared to hang while installing the bootloader.  Closer inspection on the console shows a kernel NULL pointer dereference.

Version-Release number of selected component (if applicable):

 * anaconda-13.23
 * kernel-2.6.33-0.23.rc5.git1.fc13.x86_64

How reproducible:
 * This is the first time out of 8 or more installs

Steps to Reproduce:
1. Perform an installation against http://alt.fedoraproject.org/pub/alt/stage/rawhide-testing/
  
Actual results:

Running anaconda 13.23, the Fedora system installer - please wait.             
21:09:16 Starting VNC...
21:09:17 The VNC server is now running.
21:09:17 

WARNING!!! VNC server running with NO PASSWORD!
You can use the vncpassword=<password> boot option
if you would like to secure the server.


21:09:17 Please manually connect your vnc client to test1200.test.redhat.com:1 (10.10.10.200) to begin the install.
Press <enter> for a shell
21:09:18 Starting graphical installation.

sh-4.1# BUG: unable to handle kernel NULL pointer dereference at 0000000000000358
IP: [<ffffffffa010846b>] sym_int_sir+0x646/0x1549 [sym53c8xx]
PGD 2b2ef067 PUD 3eea2067 PMD 0 
Oops: 0000 [#1] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:04.0/host2/target2:0:0/2:0:0:0/block/sda/removable
CPU 0 
Pid: 0, comm: swapper Not tainted 2.6.33-0.23.rc5.git1.fc13.x86_64 #1 /
RIP: 0010:[<ffffffffa010846b>]  [<ffffffffa010846b>] sym_int_sir+0x646/0x1549 [sym53c8xx]
RSP: 0018:ffff880003c039b0  EFLAGS: 00010087
RAX: 000000000000000a RBX: ffff88003e41c000 RCX: 0000000000000070
RDX: 0000000000000000 RSI: ffffffffa0103c22 RDI: ffffc90000a5a006
RBP: ffff880003c03a30 R08: ffffffff81a4b830 R09: 0000000000000001
R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
R13: ffff88003e41c090 R14: ffff88003e6a800b R15: 0000000000000084
FS:  0000000000000000(0000) GS:ffff880003c00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000358 CR3: 000000002b2ec000 CR4: 00000000000006f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process swapper (pid: 0, threadinfo ffffffff81a00000, task ffffffff81a4b020)
Stack:
 0000000000000000 0000000000000002 ffffffff81a4b020 0000000000000000
<0> 0000000000000000 0000000000000000 0000000000000000 0000000000000046
<0> 0000000000000000 0000000000000000 ffff880003c03a60 ffff88003e41c000
Call Trace:
 <IRQ> 
 [<ffffffffa010980c>] sym_interrupt+0x49e/0x6d2 [sym53c8xx]
 [<ffffffffa0103c2a>] sym53c8xx_intr+0x4d/0x7b [sym53c8xx]
 [<ffffffff810abec8>] handle_IRQ_event+0x53/0x119
 [<ffffffff810add95>] handle_fasteoi_irq+0x90/0xd0
 [<ffffffff8100c437>] handle_irq+0x88/0x91
 [<ffffffff8147ca74>] do_IRQ+0x5c/0xc3
 [<ffffffff81477b13>] ret_from_intr+0x0/0x16
 [<ffffffff814778d6>] ? _raw_spin_unlock_irqrestore+0x4c/0x56
 [<ffffffff812fb08f>] ? spin_unlock_irqrestore+0xe/0x10
 [<ffffffff812fbb16>] ? scsi_dispatch_cmd+0x1c1/0x234
 [<ffffffff81301b81>] ? scsi_request_fn+0x476/0x4a3
 [<ffffffff812152ed>] ? __blk_run_queue+0x45/0x74
 [<ffffffff812153d1>] ? blk_run_queue+0x26/0x3a
 [<ffffffff81300ff4>] ? scsi_run_queue+0x300/0x3ac
 [<ffffffff812e8964>] ? put_device+0x17/0x19
 [<ffffffff81301ddc>] ? scsi_next_command+0x3b/0x4b
 [<ffffffff813027cb>] ? scsi_io_completion+0x1f7/0x448
 [<ffffffff81300c43>] ? spin_unlock_irqrestore+0xe/0x10
 [<ffffffff812fb834>] ? scsi_finish_command+0xf5/0xfe
 [<ffffffff81302b42>] ? scsi_softirq_done+0x111/0x11a
 [<ffffffff8121a69a>] ? blk_done_softirq+0x82/0x92
 [<ffffffff810567e4>] ? __do_softirq+0xf8/0x1cd
 [<ffffffff8100ab9c>] ? call_softirq+0x1c/0x30
 [<ffffffff8100c357>] ? do_softirq+0x4b/0xa3
 [<ffffffff810563cf>] ? irq_exit+0x4a/0x8c
 [<ffffffff8147cac4>] ? do_IRQ+0xac/0xc3
 [<ffffffff81477b13>] ? ret_from_intr+0x0/0x16
 <EOI> 
 [<ffffffff81029289>] ? native_safe_halt+0xb/0xd
 [<ffffffff8107d04f>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff810115f5>] ? default_idle+0x3b/0x5d
 [<ffffffff81008bfc>] ? cpu_idle+0xaf/0xe9
 [<ffffffff8145ed6a>] ? rest_init+0x7e/0x80
 [<ffffffff81d82e2f>] ? start_kernel+0x440/0x44b
 [<ffffffff81d822bc>] ? x86_64_start_reservations+0xa7/0xab
 [<ffffffff81d823b8>] ? x86_64_start_kernel+0xf8/0x107
Code: b2 d5 10 a0 48 89 da eb 65 48 8b 9f b0 01 00 00 48 81 c7 a0 01 00 00 e8 68 02 1e e1 48 c7 c7 ec d5 10 a0 48 89 c6 48 89 da eb 6f <49> 8b 84 24 58 03 00 00 48 8b 90 80 00 00 00 48 8b 38 4c 8b a2 
RIP  [<ffffffffa010846b>] sym_int_sir+0x646/0x1549 [sym53c8xx]
 RSP <ffff880003c039b0>
CR2: 0000000000000358
---[ end trace f535af648735afc9 ]---
Kernel panic - not syncing: Fatal exception in interrupt
Pid: 0, comm: swapper Tainted: G      D    2.6.33-0.23.rc5.git1.fc13.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff81474628>] panic+0x7a/0x142
 [<ffffffff81478b03>] oops_end+0xb7/0xc7
 [<ffffffff8102f869>] no_context+0x1fc/0x20b
 [<ffffffff81029d1a>] ? pvclock_clocksource_read+0x47/0x83
 [<ffffffff8102fa0a>] __bad_area_nosemaphore+0x192/0x1b5
 [<ffffffff81029237>] ? kvm_clock_read+0x21/0x23
 [<ffffffff8102fa40>] bad_area_nosemaphore+0x13/0x15
 [<ffffffff8147a60b>] do_page_fault+0x16f/0x2df
 [<ffffffff81477e75>] page_fault+0x25/0x30
 [<ffffffffa0103c22>] ? sym53c8xx_intr+0x45/0x7b [sym53c8xx]
 [<ffffffffa010846b>] ? sym_int_sir+0x646/0x1549 [sym53c8xx]
 [<ffffffffa010980c>] sym_interrupt+0x49e/0x6d2 [sym53c8xx]
 [<ffffffffa0103c2a>] sym53c8xx_intr+0x4d/0x7b [sym53c8xx]
 [<ffffffff810abec8>] handle_IRQ_event+0x53/0x119
 [<ffffffff810add95>] handle_fasteoi_irq+0x90/0xd0
 [<ffffffff8100c437>] handle_irq+0x88/0x91
 [<ffffffff8147ca74>] do_IRQ+0x5c/0xc3
 [<ffffffff81477b13>] ret_from_intr+0x0/0x16
 [<ffffffff814778d6>] ? _raw_spin_unlock_irqrestore+0x4c/0x56
 [<ffffffff812fb08f>] ? spin_unlock_irqrestore+0xe/0x10
 [<ffffffff812fbb16>] ? scsi_dispatch_cmd+0x1c1/0x234
 [<ffffffff81301b81>] ? scsi_request_fn+0x476/0x4a3
 [<ffffffff812152ed>] ? __blk_run_queue+0x45/0x74
 [<ffffffff812153d1>] ? blk_run_queue+0x26/0x3a
 [<ffffffff81300ff4>] ? scsi_run_queue+0x300/0x3ac
 [<ffffffff812e8964>] ? put_device+0x17/0x19
 [<ffffffff81301ddc>] ? scsi_next_command+0x3b/0x4b
 [<ffffffff813027cb>] ? scsi_io_completion+0x1f7/0x448
 [<ffffffff81300c43>] ? spin_unlock_irqrestore+0xe/0x10
 [<ffffffff812fb834>] ? scsi_finish_command+0xf5/0xfe
 [<ffffffff81302b42>] ? scsi_softirq_done+0x111/0x11a
 [<ffffffff8121a69a>] ? blk_done_softirq+0x82/0x92
 [<ffffffff810567e4>] ? __do_softirq+0xf8/0x1cd
 [<ffffffff8100ab9c>] ? call_softirq+0x1c/0x30
 [<ffffffff8100c357>] ? do_softirq+0x4b/0xa3
 [<ffffffff810563cf>] ? irq_exit+0x4a/0x8c
 [<ffffffff8147cac4>] ? do_IRQ+0xac/0xc3
 [<ffffffff81477b13>] ? ret_from_intr+0x0/0x16
 <EOI>  [<ffffffff81029289>] ? native_safe_halt+0xb/0xd
 [<ffffffff8107d04f>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff810115f5>] ? default_idle+0x3b/0x5d
 [<ffffffff81008bfc>] ? cpu_idle+0xaf/0xe9
 [<ffffffff8145ed6a>] ? rest_init+0x7e/0x80
 [<ffffffff81d82e2f>] ? start_kernel+0x440/0x44b
 [<ffffffff81d822bc>] ? x86_64_start_reservations+0xa7/0xab
 [<ffffffff81d823b8>] ? x86_64_start_kernel+0xf8/0x107


Expected results:

No kernel oops
Comment 1 Ariel 2010-02-03 07:00:42 EST
This seems to be the same kvm scsi emulation issue reported and discussed on the LKML,
   http://www.mail-archive.com/kvm@vger.kernel.org/msg08927.html

and also Debian bug #511914
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511914

Rgds, Ariel
Comment 2 Amit Shah 2010-02-04 23:27:31 EST
Which qemu-kvm version are you using? Could you try the one from virt-preview?

qemu's SCSI support isn't the one that gets most developer attention; can you please try ide or virtio?
Comment 3 James Laska 2010-02-05 09:08:12 EST
(In reply to comment #2)
> Which qemu-kvm version are you using? Could you try the one from virt-preview?

 * qemu-kvm-0.11.0-12.fc12.x86_64

I'm running into other issues when trying to use the F-12 virt-preview repository.  I'll take those to virt@lists.fedoraproject.org for feedback.

> qemu's SCSI support isn't the one that gets most developer attention; can you
> please try ide or virtio?    

I can work around this by using ide or virtio.  This is certainly specific to SCSI KVM installs.
Comment 4 James Laska 2010-02-18 08:10:18 EST
(In reply to comment #3)
> (In reply to comment #2)
> > Which qemu-kvm version are you using? Could you try the one from virt-preview?
> 
>  * qemu-kvm-0.11.0-12.fc12.x86_64
> 
> I'm running into other issues when trying to use the F-12 virt-preview
> repository.  I'll take those to virt@lists.fedoraproject.org for feedback.

I'm still not able to start a guest using virt-preview repository.  I've filed bug#566425 to address that issue.
Comment 5 Fedora Admin XMLRPC Client 2010-03-09 11:54:01 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2010-03-09 12:19:51 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Bug Zapper 2010-03-15 10:18:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Justin M. Forbes 2010-04-22 14:05:21 EDT
The issue which blocks use of virt-preview/F-13 qemu has been resolved.  Would it be possible to retest with qemu-0.12.x on the host?
Comment 9 Bug Zapper 2011-06-02 12:43:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 10:52:19 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.